environment:
  global:
    RUST_BACKTRACE: 1
  matrix:
    - CHANNEL: stable
      TARGET: x86_64-pc-windows-msvc
    - CHANNEL: stable
      TARGET: i686-pc-windows-msvc
    - CHANNEL: nightly
      TARGET: x86_64-pc-windows-msvc
    - CHANNEL: nightly
      TARGET: i686-pc-windows-msvc
    - CHANNEL: stable
      TARGET: x86_64-pc-windows-gnu
    - CHANNEL: stable
      TARGET: i686-pc-windows-gnu
    - CHANNEL: nightly
      TARGET: x86_64-pc-windows-gnu
    - CHANNEL: nightly
      TARGET: i686-pc-windows-gnu

install:
  - appveyor DownloadFile https://win.rustup.rs/ -FileName rustup-init.exe
  - rustup-init -yv --default-toolchain %CHANNEL% --default-host %TARGET%
  - set PATH=%PATH%;%USERPROFILE%\.cargo\bin
  - rustc -vV
  - cargo -vV

build: false

test_script:
  - cargo test --release
  - if %CHANNEL% == nightly cargo bench
